## smsclient 2.0.8r

=== docs/Makefile ===
# -------------------------------------------------------------------- 
# SMS Client, send messages to mobile phones and pagers		
#									
# Makefile								
#									
#  Copyright (C) 1997,1998,1999 Angelo Masci					
#									
#  This library is free software; you can redistribute it and/or	
#  modify it under the terms of the GNU Library General Public		
#  License as published by the Free Software Foundation; either	
#  version 2 of the License, or (at your option) any later version.	
#									
#  This library is distributed in the hope that it will be useful,	
#  but WITHOUT ANY WARRANTY; without even the implied warranty of	
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	
#  Library General Public License for more details.			
#									
#  You should have received a copy of the GNU Library General Public	
#  License along with this library; if not, write to the Free		
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	
#									
#  You can contact the author at this e-mail address:			
#									
#  angelo@styx.demon.co.uk						
#									
# -------------------------------------------------------------------- 
# $Id: Makefile,v 5.1 1998/02/01 07:12:35 root Exp $
# -------------------------------------------------------------------- 

include ../Makefile.config

# -------------------------------------------------------------------- 

all: sms_client.$(MANEXT)
	$(CP) sms_client.man sms_client.$(MANEXT)

install: sms_client.$(MANEXT)
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 -d $(MANDIR)/man$(MANEXT)
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 644 sms_client.$(MANEXT) $(MANDIR)/man$(MANEXT)
	
uninstall:
	$(RM) $(MANDIR)/man$(MANEXT)/sms_client.$(MANEXT)
	
# --------------------------------------------------------------------

=== sms/Makefile ===
# -------------------------------------------------------------------- 
# SMS Client, send messages to mobile phones and pagers		
#									
# Makefile								
#									
#  Copyright (C) 1997,1998,1999 Angelo Masci					
#									
#  This library is free software; you can redistribute it and/or	
#  modify it under the terms of the GNU Library General Public		
#  License as published by the Free Software Foundation; either	
#  version 2 of the License, or (at your option) any later version.	
#									
#  This library is distributed in the hope that it will be useful,	
#  but WITHOUT ANY WARRANTY; without even the implied warranty of	
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	
#  Library General Public License for more details.			
#									
#  You should have received a copy of the GNU Library General Public	
#  License along with this library; if not, write to the Free		
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	
#									
#  You can contact the author at this e-mail address:			
#									
#  angelo@styx.demon.co.uk						
#									
# -------------------------------------------------------------------- 
# $Id: Makefile,v 5.1 1998/02/01 07:11:32 root Exp root $
# -------------------------------------------------------------------- 

include ../Makefile.config

# -------------------------------------------------------------------- 

all:

install: 
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 -d $(MSERVICEDIR)/services
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 -d $(SPOOLDIR)/sms
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 -d $(SPOOLDIR)/sms/errors
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 -d $(SPOOLDIR)/sms/locks
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 -d $(SPOOLDIR)/sms/incoming
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 -d $(SPOOLDIR)/sms/named_pipes
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 -d $(SPOOLDIR)/sms/services

	( cd services ;\
	  for service in * ; do \
		  $(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 644 $$service $(MSERVICEDIR)/services; \
		  $(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 -d $(SPOOLDIR)/sms/services/$$service ; \
		  $(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 755 -d $(SPOOLDIR)/sms/errors/$$service ; \
	  done )

	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 644 sms_config $(MSERVICEDIR)
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 644 sms_addressbook $(MSERVICEDIR)
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 644 sms_modem $(MSERVICEDIR)
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 644 sms_services $(MSERVICEDIR)
	$(INSTALL) -o $(SMSUSER) -g $(SMSGROUP) -m 644 sms_daemons $(MSERVICEDIR)
	
uninstall:
	$(RM) $(MSERVICEDIR)/services/*
	$(RM) $(MSERVICEDIR)/sms_config
	$(RM) $(MSERVICEDIR)/sms_addressbook
	$(RM) $(MSERVICEDIR)/sms_modem
	$(RM) $(MSERVICEDIR)/sms_services
	$(RM) $(MSERVICEDIR)/sms_daemons
	
# --------------------------------------------------------------------

=== src/Makefile ===
# -------------------------------------------------------------------- 
# SMS Client, send messages to mobile phones and pagers		
#									
# Makefile								
#									
#  Copyright (C) 1997,1998,1999 Angelo Masci					
#									
#  This library is free software; you can redistribute it and/or	
#  modify it under the terms of the GNU Library General Public		
#  License as published by the Free Software Foundation; either	
#  version 2 of the License, or (at your option) any later version.	
#									
#  This library is distributed in the hope that it will be useful,	
#  but WITHOUT ANY WARRANTY; without even the implied warranty of	
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	
#  Library General Public License for more details.			
#									
#  You should have received a copy of the GNU Library General Public	
#  License along with this library; if not, write to the Free		
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	
#									
#  You can contact the author at this e-mail address:			
#									
#  angelo@styx.demon.co.uk						
#									
# -------------------------------------------------------------------- 
# $Id: Makefile,v 5.1 1998/02/01 07:10:39 root Exp root $
# -------------------------------------------------------------------- 

include ../Makefile.config

# --------------------------------------------------------------------

all: 
	cd common ; $(MAKE)
	cd logfile ; $(MAKE)
	cd driver ; $(MAKE)
	cd client ; $(MAKE)
	cd parser ; $(MAKE)
#	cd server ; $(MAKE)
#	cd queue ; $(MAKE)
#	cd terminal ; $(MAKE)

install: 
	cd logfile ; $(MAKE) install
	cd client ; $(MAKE) install
#	cd server ; $(MAKE) install
#	cd queue ; $(MAKE) install
	
uninstall:
#	cd queue ; $(MAKE) uninstall
#	cd server ; $(MAKE) uninstall
	cd client ; $(MAKE) uninstall
	cd logfile ; $(MAKE) uninstall
	
clean:
	cd common ; $(MAKE) clean
	cd logfile ; $(MAKE) clean
	cd client ; $(MAKE) clean
	cd driver ; $(MAKE) clean
	cd parser ; $(MAKE) clean
#	cd server ; $(MAKE) clean
#	cd queue ; $(MAKE) clean
	cd comms ; $(MAKE) clean
	cd resource ; $(MAKE) clean
	cd lock ; $(MAKE) clean
#	cd terminal ; $(MAKE) clean

# --------------------------------------------------------------------

=== src/driver/Makefile ===
# -------------------------------------------------------------------- 
# SMS Client, send messages to mobile phones and pagers		
#									
# Makefile								
#									
#  Copyright (C) 1997,1998,1999 Angelo Masci					
#									
#  This library is free software; you can redistribute it and/or	
#  modify it under the terms of the GNU Library General Public		
#  License as published by the Free Software Foundation; either	
#  version 2 of the License, or (at your option) any later version.	
#									
#  This library is distributed in the hope that it will be useful,	
#  but WITHOUT ANY WARRANTY; without even the implied warranty of	
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	
#  Library General Public License for more details.			
#									
#  You should have received a copy of the GNU Library General Public	
#  License along with this library; if not, write to the Free		
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	
#									
#  You can contact the author at this e-mail address:			
#									
#  angelo@styx.demon.co.uk						
#									
# -------------------------------------------------------------------- 
# $Id$
# -------------------------------------------------------------------- 

include ../../Makefile.config
include ../../Makefile.drivers
include ../../Makefile.modemlib

# --------------------------------------------------------------------

INCLUDE =-I.. -I../client -I../parser
HDRS    =../common/common.h ../logfile/logfile.h driver.h ../error.h

# --------------------------------------------------------------------

all: ../../Makefile.drivers sms_driver.a

../../Makefile.drivers: ../../drivers
	cd ../.. ; sh configure -drivers
	$(MAKE) all

clean:
	$(RM) *.o *.bak sms_driver.a

# --------------------------------------------------------------------

sms_driver.a: $(DRV_OBJ) driver.o driver_comms.o ../../Makefile.drivers
	$(RM) sms_driver.a
	$(AR) sms_driver.a driver.o driver_comms.o $(DRV_OBJ)
	$(RANLIB) sms_driver.a

driver.o: driver.c driver.h ../common/common.h ../logfile/logfile.h ../../Makefile.config ../../Makefile.drivers ../../Makefile.modemlib
	$(CC) $(INCLUDE) $(CFLAGS) -c driver.c $(DRV_DEF) \
	-DMSERVICEDIR="\"$(MSERVICEDIR)\"" \
	-DMODEMLIB=$(MODEMLIB) \
	-DLIBMODEM=$(LIBMODEM) \
	-DSMSMODEM=$(SMSMODEM)

driver_comms.o: driver_comms.c driver_comms.h ../common/common.h ../logfile/logfile.h ../../Makefile.config ../../Makefile.drivers ../../Makefile.modemlib
	$(CC) $(INCLUDE) $(CFLAGS) -c driver_comms.c $(DRV_DEF) \
	-DMODEMLIB=$(MODEMLIB) \
	-DLIBMODEM=$(LIBMODEM) \
	-DSMSMODEM=$(SMSMODEM)

# --------------------------------------------------------------------

tap.o: tap.c ascii.h $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c tap.c

vodafone.o: vodafone.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c vodafone.c

vodacom.o: vodacom.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c vodacom.c

mtn.o: mtn.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c mtn.c

orange.o: orange.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c orange.c

pageone.o: pageone.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c pageone.c

one2one.o: one2one.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c one2one.c

libertel.o: libertel.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c libertel.c

tim.o: tim.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c tim.c

snpp.o: snpp.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c snpp.c

cimd.o: cimd.c $(HDRS) ascii.h
	$(CC) $(INCLUDE) $(CFLAGS) -c cimd.c

kpn.o: kpn.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c kpn.c

www.o: www.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c www.c

proximus.o: proximus.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c proximus.c

answer.o: answer.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c answer.c

ucp.o: ucp.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c ucp.c

vodapage_block.o: vodapage_block.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c vodapage_block.c

skeleton.o: skeleton.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c skeleton.c

generic.o: generic.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c generic.c -DMSERVICEDIR="\"$(MSERVICEDIR)\"" 

orange_web.o: orange_web.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c orange_web.c

cellnet_web.o: cellnet_web.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c cellnet_web.c

proximus_web.o: proximus_web.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c proximus_web.c

att_web.o: att_web.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c att_web.c

nextel_web.o: nextel_web.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c nextel_web.c

pagenet_web.o: pagenet_web.c $(HDRS)
	$(CC) $(INCLUDE) $(CFLAGS) -c pagenet_web.c

# --------------------------------------------------------------------

=== src/parser/Makefile ===
# -------------------------------------------------------------------- 
# SMS Client, send messages to mobile phones and pagers		
#									
# Makefile								
#									
#  Copyright (C) 1997,1998 Angelo Masci					
#									
#  This library is free software; you can redistribute it and/or	
#  modify it under the terms of the GNU Library General Public		
#  License as published by the Free Software Foundation; either	
#  version 2 of the License, or (at your option) any later version.	
#									
#  This library is distributed in the hope that it will be useful,	
#  but WITHOUT ANY WARRANTY; without even the implied warranty of	
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	
#  Library General Public License for more details.			
#									
#  You should have received a copy of the GNU Library General Public	
#  License along with this library; if not, write to the Free		
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	
#									
#  You can contact the author at this e-mail address:			
#									
#  angelo@styx.demon.co.uk						
#									
# -------------------------------------------------------------------- 
# $Id$
# -------------------------------------------------------------------- 

include ../../Makefile.config

# --------------------------------------------------------------------

all: gs_parser.a

test: test_parser

clean:
	$(RM) gs_parser.a  *.o *.bak test_parser

# --------------------------------------------------------------------

INCLUDE = -I..

gs_parser.a: gs_list.o gs_parser.o gs_token.o gs_translate.o gs_io.o
	$(AR) gs_parser.a gs_list.o gs_parser.o gs_token.o gs_translate.o gs_io.o
	$(RANLIB) gs_parser.a

gs_list.o: gs_list.c gs_token.h ../common/common.h
	$(CC) -g  $(CFLAGS) $(INCLUDE) -c gs_list.c

gs_io.o: gs_io.c gs_io.h ../common/common.h
	$(CC) -g  $(CFLAGS) $(INCLUDE) -c gs_io.c

gs_parser.o: gs_parser.c gs_token.h ../common/common.h gs_parser.h
	$(CC) -g $(CFLAGS) $(INCLUDE) -c gs_parser.c

gs_token.o: gs_token.c gs_token.h ../common/common.h gs_list.h
	$(CC) -g $(CFLAGS) $(INCLUDE) -c gs_token.c

gs_translate.o: gs_translate.c gs_token.h ../common/common.h gs_list.h
	$(CC) -g $(CFLAGS) $(INCLUDE) -c gs_translate.c

test_parser: gs_parser.a test_parser.c ../logfile/logfile.o ../common/common.o
	$(CC) -g $(CFLAGS) $(INCLUDE) test_parser.c gs_parser.a -o test_parser ../common/common.o ../logfile/logfile.o -DMLOGLEVEL=3 -DMLOGFILE="\"test_log\""

# --------------------------------------------------------------------

../logfile/logfile.o: ../logfile/logfile.c ../logfile/logfile.h
	cd ../logfile ; $(MAKE) logfile.o

../common/common.o: ../common/common.c ../common/common.h
	cd ../common ; $(MAKE) common.o

# --------------------------------------------------------------------

=== src/queue/Makefile ===
# -------------------------------------------------------------------- 
# SMS Client, send messages to mobile phones and pagers		
#									
# Makefile								
#									
#  Copyright (C) 1997,1998,1999 Angelo Masci					
#									
#  This library is free software; you can redistribute it and/or	
#  modify it under the terms of the GNU Library General Public		
#  License as published by the Free Software Foundation; either	
#  version 2 of the License, or (at your option) any later version.	
#									
#  This library is distributed in the hope that it will be useful,	
#  but WITHOUT ANY WARRANTY; without even the implied warranty of	
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	
#  Library General Public License for more details.			
#									
#  You should have received a copy of the GNU Library General Public	
#  License along with this library; if not, write to the Free		
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	
#									
#  You can contact the author at this e-mail address:			
#									
#  angelo@styx.demon.co.uk						
#									
# -------------------------------------------------------------------- 
# $Id$
# -------------------------------------------------------------------- 

include ../../Makefile.config
include ../../Makefile.modemlib

# --------------------------------------------------------------------

all: ../../bin/queue

install: ../../bin/queue 
	$(INSTALL) -m 755 -d $(BINDIR)
	$(INSTALL) -s -o $(SMSUSER) -g $(SMSGROUP) -m 755 ../../bin/queue $(BINDIR)

uninstall:
	$(RM) $(BINDIR)/queue

test: test_queue test_write

clean:
	$(RM) *.o *.bak test_queue test_write ../../bin/queue

# --------------------------------------------------------------------

INCLUDE = -I.. -I../parser

# --------------------------------------------------------------------

gs_parser:
	cd ../parser ; $(MAKE) gs_parser.a

resource:
	cd ../resource ; $(MAKE) resource.a

driver:
	cd ../driver ; $(MAKE)

lock:
	cd ../lock ; $(MAKE) lock.a

comms:
	cd ../comms ; $(MAKE) comms.a

# --------------------------------------------------------------------

version.h: ../../.version
	echo "#define MVERSION \"`awk '{ print $1 }' ../../.version`\"" >version.h

# --------------------------------------------------------------------

npipe.o: npipe.c ../common/common.h ../logfile/logfile.h npipe.h
	$(CC) $(CFLAGS) -c npipe.c $(INCLUDE)

process.o: process.c ../common/common.h ../logfile/logfile.h process.h
	$(CC) $(CFLAGS) -c process.c $(INCLUDE)

fread.o: fread.c 
	$(CC) $(CFLAGS) -c fread.c $(INCLUDE)

test_queue.o: test_queue.c ../common/common.h ../logfile/logfile.h npipe.h
	$(CC) $(CFLAGS) -c test_queue.c $(INCLUDE)

queue.o: queue.c ../common/common.h ../logfile/logfile.h npipe.h  version.h
	$(CC) $(CFLAGS) -c queue.c $(INCLUDE) -DMSERVICEDIR="\"$(MSERVICEDIR)\"" -DMSMSDLOGLEVEL=3 -DMSMSDLOGFILE="\"$(MSMSDLOGFILE)\""

test_write.o: test_write.c ../common/common.h ../logfile/logfile.h
	$(CC) $(CFLAGS) -c test_write.c $(INCLUDE)

# --------------------------------------------------------------------

../../bin/queue: queue.o fread.o npipe.o process.o ../logfile/logfile.o ../common/common.o gs_parser resource lock driver comms ../../Makefile.modemlib
	$(CC) $(CFLAGS) queue.o fread.o npipe.o process.o -o ../../bin/queue ../logfile/logfile.o ../common/common.o ../resource/resource.a ../parser/gs_parser.a  ../lock/lock.a ../driver/sms_driver.a ../comms/comms.a $(MLIBS) $(XTRALIBS)

# --------------------------------------------------------------------

test_queue: test_queue.o npipe.o process.o ../common/common.h ../logfile/logfile.h npipe.h process.h
	$(CC) $(CFLAGS) test_queue.o npipe.o process.o -o test_queue 
	
test_write: test_write.o ../common/common.h ../logfile/logfile.h npipe.h
	$(CC) $(CFLAGS) test_write.o -o test_write
	
# --------------------------------------------------------------------

../logfile/logfile.o: ../logfile/logfile.c ../logfile/logfile.h
	cd ../logfile ; $(MAKE) logfile.o

../common/common.o: ../common/common.c ../common/common.h
	cd ../common ; $(MAKE) common.o

# --------------------------------------------------------------------

=== src/parser/gs_api/Makefile ===
# --------------------------------------------------------------------
# --------------------------------------------------------------------

CC     = gcc
CFLAGS = -g
INC    = -I.. -I../..
AR     = /usr/ccs/bin/ar
RANLIB = echo

# --------------------------------------------------------------------

all: gs_api.a

test: api_test

clean:
	rm -f *.o api_test
	rm -f gs_api.a
	rm -f core log

# --------------------------------------------------------------------

../../logfile/logfile.o: ../../logfile/logfile.c ../../logfile/logfile.h
	cd ../../logfile ; $(MAKE) logfile.o

../../common/common.o: ../../common/common.c ../../common/common.h
	cd ../../common ; $(MAKE) common.o

gs_parser: 
	cd ../ ; $(MAKE) gs_parser.a

# --------------------------------------------------------------------

gs_api.a: gs_create.o gs_load.o gs_save.o gs_type.o gs_getvar.o gs_getlist.o gs_getdict.o  
	$(AR) -rc gs_api.a gs_create.o gs_load.o gs_save.o gs_type.o gs_getvar.o gs_getlist.o gs_getdict.o
	$(RANLIB) gs_api.a

api_test: api_test.o gs_api.a ../../logfile/logfile.o ../../common/common.o gs_parser
	$(CC) -o api_test api_test.o gs_api.a ../../logfile/logfile.o ../../common/common.o ../gs_parser.a

api_test.o: api_test.c
	$(CC) $(CFLAGS) $(INC) -c api_test.c -DLOGFILE=\"log\" -DLOGLEVEL=3 

gs_create.o: gs_create.c gs_create.h
	$(CC) $(CFLAGS) $(INC) -c gs_create.c

gs_load.o: gs_load.c gs_load.h
	$(CC) $(CFLAGS) $(INC) -c gs_load.c

gs_save.o: gs_save.c gs_save.h
	$(CC) $(CFLAGS) $(INC) -c gs_save.c

gs_type.o: gs_type.c gs_type.h
	$(CC) $(CFLAGS) $(INC) -c gs_type.c

gs_getvar.o: gs_getvar.c gs_getvar.h
	$(CC) $(CFLAGS) $(INC) -c gs_getvar.c

gs_getlist.o: gs_getlist.c gs_getlist.h
	$(CC) $(CFLAGS) $(INC) -c gs_getlist.c

gs_getdict.o: gs_getdict.c gs_getdict.h
	$(CC) $(CFLAGS) $(INC) -c gs_getdict.c

# --------------------------------------------------------------------

## smsclient 2.0.8z-2

=== debian/changelog ===
smsclient (2.0.8z-2) unstable frozen; urgency=low

  * ahhh, ugggly bug :-) Nothing worth to be mentioned here, however.

 -- Michael Holzt <kju@debian.org>  Sun,  3 Mar 2002 17:12:53 +0100

smsclient (2.0.8z-1) unstable frozen; urgency=low

  * Changed UK numbers (closes: Bug#101103)
  * Changed Directory for services (closes: Bug#132112)

 -- Michael Holzt <kju@debian.org>  Sun,  3 Mar 2002 16:01:57 +0100

smsclient (2.0.8y-2) unstable frozen; urgency=low

  * Minor fixes.
  * Bug close again. (closes: Bug#97900, Bug#66403, Bug#63882, Bug#63883)

 -- Michael Holzt <kju@debian.org>  Sun, 10 Jun 2001 21:22:23 +0200

smsclient (2.0.8y-1) unstable frozen; urgency=low

  * New upstrem version 2.0.8y (closes #97900)
  * Several fixes (closes #66403, #63882, #63883)

 -- Michael Holzt <kju@debian.org>  Sun, 27 May 2001 14:58:09 +0200

smsclient (2.0.8r-7) unstable frozen; urgency=low

  * Fixed transmission of german character 'sz' (sharp s) to the 
    correct value regarding GSM standard TS 03.38 (DeTeMobil's wrong
    documentation sucks!) (closes #59485)

 -- Michael Holzt <kju@debian.org>  Fri, 28 Apr 2000 00:34:49 +0200

smsclient (2.0.8r-6) unstable frozen; urgency=low

  * Changed call to logrotation (closes #57653), this also added
    creation of logfile when installing, which fixes #44745 in
    a much better way.

 -- Michael Holzt <kju@debian.org>  Fri, 28 Apr 2000 00:34:42 +0200

smsclient (2.0.8r-5) unstable frozen; urgency=low

  * Fixed bug with 8bit character handling in TAP (closes #57059) 

 -- Michael Holzt <kju@debian.org>  Sun,  6 Feb 2000 02:21:16 +0100

smsclient (2.0.8r-4) unstable frozen; urgency=low

  * Fixed name of logfile in manpage (should close #52445)

 -- Michael Holzt <kju@debian.org>  Sun, 16 Jan 2000 22:20:38 +0100

smsclient (2.0.8r-3) unstable; urgency=low

  * Fixed directory for manpages

 -- Michael Holzt <kju@debian.org>  Sat, 16 Oct 1999 15:40:58 +0200

smsclient (2.0.8r-2) unstable; urgency=low

  * mostly cosmetic changes
  * fix for logfile rights (should close #44745)

 -- Michael Holzt <kju@debian.org>  Mon, 11 Oct 1999 14:12:49 +0200

smsclient (2.0.8r-1) unstable; urgency=low

  * new upstream version 2.0.8r

 -- Michael Holzt <kju@debian.org>  Sun, 10 Oct 1999 11:23:32 +0200

smsclient (2.0.7s3-6) unstable; urgency=low

  * corrected answer.c to include <string.h>

 -- Michael Holzt <kju@debian.org>  Sat,  3 Jul 1999 00:18:37 +0200

smsclient (2.0.7s3-5) unstable; urgency=low

  * -fsigned-char added to compile options

 -- Michael Holzt <kju@debian.org>  Thu, 22 Apr 1999 01:17:35 +0200

smsclient (2.0.7s3-4) unstable; urgency=low

  * Initial Release.

 -- Michael Holzt <kju@debian.org>  Thu, 15 Apr 1999 00:13:16 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: smsclient
Section: comm
Priority: optional
Maintainer: Michael Holzt <kju@debian.org>
Build-Depends: debhelper
Standards-Version: 3.5.2

Package: smsclient
Architecture: any
Depends: ${shlibs:Depends},debconf
Suggests:
Description: A program for sending short messages (SM / SMS)
 smsclient is a tool for sending short messages (SM - often false
 named SMS). SM can be sent to mobile phones. Additional some
 paging systems are supported by this tool. smsclient supports
 the common protocols UCP, TAP and some other. Out of the box there
 is preconfigured support for many local services, but smsclient
 can be easily extended to support other systems.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.
# Customized for smsclient by Michael Holzt.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	rm -f .configured
	./configure
	$(MAKE) 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	rm -f .configured
	./configure
	-$(MAKE) clean
	rm -f Makefile
	rm -f Makefile.config

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
	dh_installchangelogs -a Changelog
	dh_installexamples contrib
#	dh_installmenu
#	dh_installemacsen
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_undocumented sms_address.1
	dh_link
	dh_strip
	dh_compress -A
	dh_fixperms
#	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## smsclient 2.0.8z-4

=== debian/changelog ===
smsclient (2.0.8z-4) unstable; urgency=low

  * New maintainer. (closes: #216212)
  * Fixed cellnet/vodafone_tap numbers. (closes: #141685)
  * Fixed German D2 SMSc number. (closes: #156467)
  * Fixed Telstra SMS/TAP number. (closes: #232123)
  * Fixed UK Orange SMSc number.
  * Switch to gettext debconf templates. (closes: #202804)
  * Added German translation. (closes: #138597)
  * Added French translation. (closes: #202806)
  * Updated copyright info (upstream URL etc).
  * Added man page for sms_address.

 -- Jonathan McDowell <noodles@earth.li>  Mon, 22 Mar 2004 20:33:00 +0000

smsclient (2.0.8z-3) unstable; urgency=low

  * Orphaning package and setting maintainer to
    Debian QA Group <packages@qa.debian.org>. Sorry for that.

 -- Michael Holzt <kju@debian.org>  Fri, 17 Oct 2003 12:03:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: smsclient
 Section: comm
 Priority: optional
-Maintainer: Michael Holzt <kju@debian.org>
-Build-Depends: debhelper
-Standards-Version: 3.5.2
+Maintainer: Jonathan McDowell <noodles@earth.li>
+Build-Depends: debhelper (>= 4.1.16)
+Standards-Version: 3.6.1
 
 Package: smsclient
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -63,7 +63,6 @@
 #	dh_installinit
 	dh_installcron
 	dh_installmanpages
-	dh_undocumented sms_address.1
 	dh_link
 	dh_strip
 	dh_compress -A

## smsclient 2.0.8z-5

=== debian/changelog ===
smsclient (2.0.8z-5) unstable; urgency=low

  * Fix debconf dependancy (sorry for the delay Joey).
  * Added Dutch translation, thanks to Luk Claes. (closes: #274899)
  * Added Czech translation, thanks to Martin Šín. (closes: #311699)
  * Added Vietnamese translation, thanks to Clytie Siddall. (closes: #318598)

 -- Jonathan McDowell <noodles@earth.li>  Thu, 01 Sep 2005 17:02:02 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: smsclient
 Architecture: any
-Depends: ${shlibs:Depends},debconf
+Depends: ${shlibs:Depends},${misc:Depends}
 Suggests:
 Description: A program for sending short messages (SM / SMS)
  smsclient is a tool for sending short messages (SM - often false

## smsclient 2.0.8z-7

=== debian/changelog ===
smsclient (2.0.8z-7) unstable; urgency=low

  * Updated French translation, thanks to Michel Grentzinger.
    (closes: #379469)
  * Updated Portuguese translation, thanks to Rui Branco. (closes: #381199)
  * Updated Swedish translation, thanks to Daniel Nylander. (closes: #387517)
  * Updated Dutch translation, thanks to Kurt De Bree. (closes: #389788)
  * Updated Czech translation, thanks to Martin Šín. (closes: #391545)

 -- Jonathan McDowell <noodles@earth.li>  Tue, 14 Nov 2006 09:57:33 +0000

smsclient (2.0.8z-6) unstable; urgency=low

  * Add debian/compat to set debhelper compat level to 4.
    - Removed debian/conffiles as debhelper looks after the /etc files for
      us now.
  * Change dh_installmanpages usage to dh_installman.
  * Add Swedish translation, thanks to Daniel Nylander. (closes: #330614)
  * Add Portuguese translation, thanks to Rui Branco. (closes: #333598)
  * Clean up logfiles upon package purge. (closes: #330533)
  * Use /usr/share/smsclient for service definitions; there's no reason
    for these to go under /usr/lib/smsclient as they're architecture
    independent.
  * Remove non-working SMS web backends, thanks to Michael Dorrington.
    - att_web (closes: #121479)
    - cellnet_web
    - nextel_web
    - orange_web
    - pagenet_web
    - proximus_web
  * Various code cleanups to eliminate compiler warnings (mostly failing
    to include appropriate headers).
  * Bump Standards-Version to 3.7.2.0 (no changes).

 -- Jonathan McDowell <noodles@earth.li>  Sat, 22 Jul 2006 14:23:34 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jonathan McDowell <noodles@earth.li>
 Build-Depends: debhelper (>= 4.1.16)
-Standards-Version: 3.6.1
+Standards-Version: 3.7.2.0
 
 Package: smsclient
 Architecture: any
